Skip to main content
GET
/
v1
/
search
/
property
Resolve a property from address input
curl --request GET \
  --url https://api.homelogs.io/v1/search/property \
  --header 'X-API-Key: <api-key>'
{
  "property_id": "<string>",
  "canonical_address": "<string>",
  "match_confidence": 0.5,
  "match_metadata": {
    "match_type": "exact",
    "input_address": "<string>",
    "normalized_input_address": "<string>",
    "matched_fields": [
      "address"
    ]
  },
  "lat": 123,
  "lon": 123,
  "state": "<string>",
  "city": "<string>",
  "parcel_id": "<string>"
}

Authorizations

X-API-Key
string
header
required

Query Parameters

address
string
required

Street address input

Minimum string length: 1
city
string
state
string

Two-letter state code

Pattern: ^[A-Za-z]{2}$
zipcode
string

Response

Property match found

property_id
string
required
Pattern: ^prop_[0-9a-f]{32}$
canonical_address
string
required
match_confidence
number
required
Required range: 0 <= x <= 1
match_metadata
object
required
lat
number | null
required
lon
number | null
required
state
string | null
required
city
string | null
required
parcel_id
string | null
required